Skip to content

Download content data export

Request

When a job has a status of complete, and thus a filled download_url, you can download your data by hitting that provided URL, formatted like so: https://api.intercom.io/download/content/data/xyz1234.

Your exported message data is returned as a ZIP archive containing one CSV file per data group. The response is sent with the header Content-Encoding: zip.

📘 Octet header required

You will have to specify the header Accept: application/octet-stream when hitting this endpoint.

Requires the export_content_data OAuth scope.

Security
bearerAuth
Path
job_identifierstringrequired

job_identifier

Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.

Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
curl -i -X GET \
  'https://api.intercom.io/download/content/data/{job_identifier}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.17'

Responses

successful

Response
No content